Summary: File System Benchmark
Name: bonnie
Version: 1.5
Release: 1%{?dist}
License: GPL
Group: Applications/System
URL: http://www.garloff.de/kurt/linux/bonnie/
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: http://www.garloff.de/kurt/linux/%{name}/%{name}-%{version}.tar.bz2
Patch0: bonnie-1.4.patch
Patch1: bonnie-1.5-o_direct_on_ia64.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Bonnie is a popular performance benchmark that targets various aspects
of Unix file systems.

%prep
%setup -q -n bonnie
%patch0 -p0
%patch1 -p1

%build
%{__make} CFLAGS="%{optflags}"

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__install} -d %{buildroot}%{_bindir}
%{__install} -d %{buildroot}%{_mandir}/man1
%{__install} -m 0755 -p Bonnie %{buildroot}%{_bindir}/%{name}
%{__install} -m 0644 -p %{name}.1 %{buildroot}%{_mandir}/man1/

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc bonnie.doc README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Mon Feb 06 2012 Simon Matter <simon.matter@invoca.ch> 1.5-1
- upgrade to version 1.5

* Tue Aug 02 2011 Simon Matter <simon.matter@invoca.ch> 1.4-4
- add patch to build on EL6

* Fri Apr 15 2011 Simon Matter <simon.matter@invoca.ch> 1.4-3
- mass rebuild

* Sat Jan 05 2008 Simon Matter <simon.matter@invoca.ch> 1.4-2
- add patch to support o_direct on 64bit architectures

* Thu Aug 16 2007 Simon Matter <simon.matter@invoca.ch> 1.4-1
- initial package
